## icydemux icydemux — Read and output ICY tags while demuxing the contents |

## Types and Values

struct | GstICYDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstICYDemux

## Description

icydemux accepts data streams with ICY metadata at known intervals, as transmitted from an upstream element (usually read as response headers from an HTTP stream). The mime type of the data between the tag blocks is detected using typefind functions, and the appropriate output mime type set on outgoing buffers.

### Example launch line

    1
    gst-launch-1.0 souphttpsrc location=http://some.server/ iradio-mode=true ! icydemux ! fakesink -t

This pipeline should read any available ICY tag information and output it. The contents of the stream should be detected, and the appropriate mime type set on buffers produced from icydemux. (Using gnomevfssrc, neonhttpsrc or giosrc instead of souphttpsrc should also work.)

## Synopsis

### Element Information

plugin | icydemux
author | Jan Schmidt <thaytan@mad.scientist.com>, Michael Smith <msmith@fluendo.com>
class | Codec/Demuxer/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-icy, metadata-interval=(int)[ 0, 2147483647 ]

name | src
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstICYDemux

    struct GstICYDemux;